<div class="c-a-block">
	<?php 
		$classifieds = new Model_ClassifiedAds();
		$items = $classifieds->getForWidget();
	?>
	<?foreach($items as $item):?>
	<a class="c-a-link" href="<?= $this->getLink('classified-ads-ad'). '?id='. $item->id ?>">
		<div class="c-a-item">
			<? $img = new Cubix_ImagesCommonItem($item->image); ?>
            <img src="<?= $img->getUrl('cl_ads_thumb') ?>" class="c-a-image" />
			<?php
				if (strlen($item->title) > 16)
				{
					$title = substr(strip_tags($item->title), 0, 16) . '..';
				} else{
					$title = $item->title;
				}

				if (strlen($item->text) > 60)
				{
					$text = substr(strip_tags($item->text), 0, 60) . '..';
				} else{
					$text = $item->text;
				}
			?>
			<div class="c-a-title <?= $item->is_premium ? 'premium' : '' ?>"><?=  $title ?></div>
			<div class="c-a-desc"><?= $text?> <span class="c-a-details"><?= __('details') ?></span></div>
		</div>
	</a>
	<? endforeach;?>
	
</div>

<style type="text/css">
	.c-a-block{
		width: 967px;
		height: 169px;
		padding-top: 7px;
		padding-left: 6px;
		margin-top: 5px;
	    border: 1px solid #838383;
	}

	.c-a-block .c-a-link{
		text-decoration: none;	
	}

	.c-a-block .c-a-item{
		width: 177px;
	    float: left;
	    height: 69px;
	    overflow: hidden;
	    margin: 0px 6px;
	    margin-bottom: 6px;
	    margin-bottom: 15px;
	    height: 70px;
	}

	.c-a-block .c-a-image{
		width: 60px;
	    height: 65px;
	    float: left;
	    display: block;
	    border: 1px solid #f34ea2;
	    margin-right: 2px;
	    object-fit: cover;
	}

	.c-a-block .c-a-title{
		display: inline-block;
	    width: 108px;
	    float: left;
	    padding: 2px;
	    background-color: #390a20;
	    color: #fff;
	    border-radius: 7px 7px 0px 0px;
	    font-size: 18px;
	    font-size: 11px;

	}
	.c-a-block .c-a-title.premium{
	    background-color: #ED3F92;
	}
	.c-a-block .c-a-details{
		color: #ED3F92;
		font-weight: bold;
		float: right;
	}
	.c-a-block .c-a-desc{
		font-size: 11px;
    	color: #000000;
	}

</style>